package com.mousetech.gourmetj.persistence.dao;

import java.util.List;

import jakarta.transaction.Transactional;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import com.mousetech.gourmetj.persistence.model.Pantry;
import com.mousetech.gourmetj.persistence.model.Shopcat;

/**
 * JpaRepository for Shopping Categories, which relate ManyToOne
 * to Ingredient. Service method is @see RecipeService
 * 
 * @author timh
 * @since Dec 28, 2021
 */

@Repository
public interface PantryRepository
		extends JpaRepository<Pantry, Long> {

	public Pantry findPantryByIngkey(String ingkey);

	public void deleteByIngkey(String key);
}
